Finalize Deploy

POST
/api/v1/paywall-deploys/{deployId}/finalize

Path Parameters

deployId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/paywall-deploys/string/finalize"
{  "components": [    {      "componentId": "string",      "contentHash": "string",      "id": "string",      "version": 0    }  ],  "deployId": "string",  "paywalls": [    {      "contentHash": "string",      "id": "string",      "paywallId": "string",      "releaseId": "string",      "url": "string",      "version": 0    }  ],  "status": "ready"}
{  "_tag": "Api/ActionForbiddenError",  "message": "string"}
{  "_tag": "Api/PaywallDeployNotFoundError",  "message": "string"}
{  "_tag": "Api/IncompleteDeployError",  "missing": [    "string"  ]}
{  "_tag": "Api/PaywallDeployValidationError",  "message": "string",  "violations": [    "string"  ]}
{  "_tag": "Api/PaywallDeployServiceError",  "cause": "string"}